Run of fresh-snapshots for raincat

Try this locally (using silver-platter):

debian-svp new-upstream --snapshot raincat 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
Processing: raincat
461)   
461/461), done.
Total 461 (delta 74), reused 451 (delta 70)

Total 0 (delta 0), reused 0 (delta 0)

Using upstream branch https://github.com/styx/Raincat (guessed)
Total 553 (delta 0), reused 0 (delta 0), pack-reused 553
Using version string 1.2.1.
No upstream upstream-revision format specified, trying tag:1.2.1
No upstream upstream-revision format specified, trying tag:raincat-1.2.1
No upstream upstream-revision format specified, trying tag:v1.2.1
No upstream upstream-revision format specified, trying tag:1.2.1
No upstream upstream-revision format specified, trying tag:raincat-1.2.1
No upstream upstream-revision format specified, trying tag:v1.2.1
Exporting upstream branch revision b'git-v1:49b688c73335c9a4090708bc75f6af9575a65670' to create the tarball
Total 553 (delta 0), reused 0 (delta 0), pack-reused 553
/usr/lib/python3/dist-packages/dulwich/repo.py:415: UserWarning: ref refs/tags/v1.2 points at non-present sha 8e394b954e236d431b8661b2fab39800699faa7f
  UserWarning)
/usr/lib/python3/dist-packages/dulwich/repo.py:415: UserWarning: ref refs/tags/stable_1.1.1.1 points at non-present sha 5c6ccc75cafdee4519d17f20e857df185513badf
  UserWarning)
/usr/lib/python3/dist-packages/dulwich/repo.py:415: UserWarning: ref refs/tags/v1.2 points at non-present sha 8e394b954e236d431b8661b2fab39800699faa7f
  UserWarning)
/usr/lib/python3/dist-packages/dulwich/repo.py:415: UserWarning: ref refs/tags/stable_1.1.1.1 points at non-present sha 5c6ccc75cafdee4519d17f20e857df185513badf
  UserWarning)
v1.2 does not point to a valid object
stable_1.1.1.1 does not point to a valid object
All changes applied successfully.
v1.2 does not point to a valid object
stable_1.1.1.1 does not point to a valid object
Committing to: /home/janitor/tmp/tmpq289pmk6/raincat/
added .gitignore
modified README
modified Raincat.cabal
modified Setup.lhs
modified debian/changelog
modified src/Cat/Cat.hs
modified src/Game/GameGraphics.hs
modified src/Game/GameInput.hs
modified src/Game/GameMain.hs
modified src/Input/InputState.hs
modified src/Items/ItemEffects.hs
modified src/Main.hs
modified src/Menu/PostVictory.hs
modified src/Nxt/Audio.hs
modified src/Nxt/Graphics.hs
deleted src/Nxt/Input.hs
deleted src/UI
deleted src/UI/ItemPanel.hs
modified src/World/World.hs
Committed revision 28.
Committing to: /home/janitor/tmp/tmpq289pmk6/raincat/
modified debian/changelog
missing debian/patches/opengl-2.9.patch
deleted debian/patches/opengl-2.9.patch
modified debian/patches/series
Committed revision 29.
Worker failed: An error occurred refreshing quilt patch Items-module.patch: 

Applying patch debian/patches/Items-module.patch
can't find file to patch at input line 15
Perhaps you used the wrong -p or --strip option?
The text leading up to this was:
--------------------------
|From: Markus Koschany <apo@debian.org>
|Date: Wed, 16 May 2018 13:57:31 +0200
|Subject: Items module
|
|Bug-Debian: https://bugs.debian.org/897542
|Forwarded: no
|---
| src/UI/ItemPanel.hs | 4 ++--
| 1 file changed, 2 insertions(+), 2 deletions(-)
|
|diff --git a/src/UI/ItemPanel.hs b/src/UI/ItemPanel.hs
|index 181d4b9..519c93b 100644
|--- a/src/UI/ItemPanel.hs
|+++ b/src/UI/ItemPanel.hs
--------------------------
No file to patch.  Skipping patch.
1 out of 1 hunk ignored
Patch debian/patches/Items-module.patch does not apply (enforce with -f)

Elapsed time: 0:02:10.013205

Full worker log